# Clients

### CLI <a href="#cli" id="cli"></a>

Find below a list of  `mnovad` commands added with the `x/feesplit` module. You can obtain the full list by using the `mnovad -h` command. A CLI command can look like this:

```
mnovad query fees params
```

#### Queries <a href="#queries" id="queries"></a>

| Command            | Subcommand             | Description                              |
| ------------------ | ---------------------- | ---------------------------------------- |
| `query` `feesplit` | `params`               | Get fees params                          |
| `query` `feesplit` | `contract`             | Get the fee split for a given contract   |
| `query` `feesplit` | `contracts`            | Get all fee splits                       |
| `query` `feesplit` | `deployer-contracts`   | Get all fee splits of a given deployer   |
| `query` `feesplit` | `withdrawer-contracts` | Get all fee splits of a given withdrawer |

#### Transactions <a href="#transactions" id="transactions"></a>

| Command         | Subcommand | Description                                |
| --------------- | ---------- | ------------------------------------------ |
| `tx` `feesplit` | `register` | Register a contract for receiving fees     |
| `tx` `feesplit` | `update`   | Update the withdraw address for a contract |
| `tx` `feesplit` | `cancel`   | Remove the fee split for a contract        |

### gRPC <a href="#grpc" id="grpc"></a>

#### Queries <a href="#queries-2" id="queries-2"></a>

| Verb   | Method                                            | Description                              |
| ------ | ------------------------------------------------- | ---------------------------------------- |
| `gRPC` | `mnova.feesplit.v1.Query/Params`                  | Get fees params                          |
| `gRPC` | `mnova.feesplit.v1.Query/FeeSplit`                | Get the fee split for a given contract   |
| `gRPC` | `mnova.feesplit.v1.Query/FeeSplits`               | Get all fee splits                       |
| `gRPC` | `mnova.feesplit.v1.Query/DeployerFeeSplits`       | Get all fee splits of a given deployer   |
| `gRPC` | `mnova.feesplit.v1.Query/WithdrawerFeeSplits`     | Get all fee splits of a given withdrawer |
| `GET`  | `/mnova/feesplit/v1/params`                       | Get fees params                          |
| `GET`  | `/mnova/feesplit/v1/feesplits/{contract_address}` | Get the fee split for a given contract   |
| `GET`  | `/mnova/feesplit/v1/feesplits`                    | Get all fee splits                       |
| `GET`  | `/mnova/feesplit/v1/feesplits/{deployer_address}` | Get all fee splits of a given deployer   |
| `GET`  | `/mnova/feesplit/v1/feesplits/{withdraw_address}` | Get all fee splits of a given withdrawer |

#### Transactions <a href="#transactions-2" id="transactions-2"></a>

| Verb   | Method                                     | Description                                |
| ------ | ------------------------------------------ | ------------------------------------------ |
| `gRPC` | `mnova.feesplit.v1.Msg/RegisterFeeSplit`   | Register a contract for receiving fees     |
| `gRPC` | `mnova.feesplit.v1.Msg/UpdateFeeSplit`     | Update the withdraw address for a contract |
| `gRPC` | `mnova.feesplit.v1.Msg/CancelFeeSplit`     | Remove the fee split for a contract        |
| `POST` | `/mnova/feesplit/v1/tx/register_fee_split` | Register a contract for receiving fees     |
| `POST` | `/mnova/feesplit/v1/tx/update_fee_split`   | Update the withdraw address for a contract |
| `POST` | `/mnova/feesplit/v1/tx/cancel_fee_split`   | Remove the fee split for a contract        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metanovaverse.com/protocol-developers/modules/feesplit/clients.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
